from .base import Dependency, ReleaseDownload, MakeBuilder

from kiwixbuild.utils import Remotefile


class MicroHttpd(Dependency):
    name = "libmicrohttpd"

    class Source(ReleaseDownload):
        archive = Remotefile(
            "libmicrohttpd-0.9.76.tar.gz",
            "f0b1547b5a42a6c0f724e8e1c1cb5ce9c4c35fb495e7d780b9930d35011ceb4c",
            "https://ftp.gnu.org/gnu/libmicrohttpd/libmicrohttpd-0.9.76.tar.gz",
        )

    class Builder(MakeBuilder):
        configure_options = [
            "--disable-https",
            "--without-libgcrypt",
            "--without-libcurl",
            "--disable-doc",
            "--disable-examples",
        ]
